run_assert(1)

NAME
run_assert - run one or more assertions for a single VSW5 Test Case

SYNOPSIS
run_assert [ -Truss ] [ -NoClean ] TestCase AssertionNumber...

DESCRIPTION
run_assert creates a temporary scenario file for the Test Case and assertions (Test Purposes) specified then uses that scenario to launch a tcc run. TestCase is the full name of a scenario file test target (i.e. basename, log1p, gethostent, c89). If the specified target is not found an error will be printed and run_assert will abort. AssertionNumber... is a space separated list of Test Purposes to execute. If a nonexistent Test Purpose is specified an error will be printed. The program will continue and run all valid purposes specified. Test Purposes are run in the order specified.

OPTIONS

-Truss

Use truss to trace the ttc command as it executes. Truss must be be available on the system under test for this option to work. This option executes truss using the -f and -a options. Output is to standard out and standard error unless redirected manually.

-NoClean

run_assert normally executes tcc such that it removes any test files created during the run (-bec options). This option executes tcc such that test files remain for later examination (-be option).

Options can be entered in any combination and in any order. Specifying an option which is not cumulative in nature more than once is allowed. The program will ignore all but the last occurrence of the option.

This document presents options with certain letters capitalized. This is solely for readability. You may enter options entirely in lower case if you prefer. For example, the noclean option may be entered as -noclean as well as -NoClean.

It is often possible to save time by entering only the first few characters of an option. For example, the program accepts -tr as an abbreviation for the -Truss option. These abbreviations are unsupported and may change at any time. If you run this program automatically via other programs be sure to use full option names, not abbreviations.

-Help and -Usage options exist. They print a Usage summary to the screen.

ERRORS

This program is unsupported.

SEE ALSO
creport tcc truss

Copyright (c) 1994, 1995 Applied Testing and Technology, Inc.